Learn about our RFC process, Open RFC meetings & more.Join in the discussion! »

esh-sprity-less

1.0.2 • Public • Published

sprity-less

NPM version Build Status Dependencies

A less style processor for sprity

Requirements

Install

Install with npm

npm install sprity sprity-less --save

If you want to use sprity-less with the command line interface of sprity install it globally.

npm install sprity sprity-less -g

Usage

On commandline:

sprity out/ src/*.png -s style.less -p less

In JavaScript:

var sprite = require('sprity');
sprite.create({
  ...
  style: 'style.less',
  processor: 'less'
  ...
}, function () {
  console.log('done');
});

less usage example

@import 'sprite'; // the generated style file (sprite.less) 
 
// camera icon (camera.png in src directory) 
.icon-camera {
  .sprite(@camera);
}
 
// cart icon (cart.png in src directory) 
.icon-cart {
  .sprite(@cart);
}

More

See sprity documentation


Gitter

Install

npm i esh-sprity-less

DownloadsWeekly Downloads

1

Version

1.0.2

License

none

Last publish

Collaborators

  • avatar